#include "sgchangeFB.h"
#include "Func.h"
#include "fb.h"

//extern void post2runLoop(void *);

void
SgChangeFB::video_init(TaskManager *manager)
{
    Uint32 sdl_flag = default_sdl_flag | SDL_INIT_VIDEO;

    if (SDL_Init(sdl_flag) < 0) {
	fprintf(stderr,"Couldn't initialize SDL: %s\n",SDL_GetError());
	exit(1);
    }

    pixels = (Uint32*)get_fbdev_addr();

    if (pixels == 0) {
	pixels = (new Uint32[width*height*32/8]);
    }
}

void
SgChangeFB::clean_pixels()
{
    //bzero(pixels, sizeof(int)*width*height);
    //memset(pixels, 0xFF, sizeof(int)*width*height);
}
